# Interface CalcStarTable.Col<C,T>

Type Parameters:
  `C` - calculation object type
  `T` - column content class type (must match ColumnInfo.getContentClass() result)

Enclosing class:
  `CalcStarTable<C>`

public static interface CalcStarTable.Col<C,T>
Defines a column for use with this table implementation. It supplies column metadata, and a mapping from a calculation object to the column data.

## Method Summary

Modifier and Type
Method
Description
`ColumnInfo`
`getInfo()`
Returns the metadata for this column.
`T`
`getValue(C calculation)`
Returns the value for this column extracted from a given calculation object.

## Method Details

### getInfo

ColumnInfo getInfo()
Returns the metadata for this column.

Returns:
  column metadata

### getValue

T getValue(C calculation)
Returns the value for this column extracted from a given calculation object.

Parameters:
  `calculation` - calculation object
Returns:
  column value